Part RegularPolygon/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Описание==")
(Updating to match new version of source page)
 
(23 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}} <!-- Note: Screenshot + Formatted Parameters + Scripting section. -->


{{Docnav/ru
{{Docnav/ru
|[[Part_Line/ru|Линия]]
|[[Part_Line/ru|Линия]]
|[[Part_Builder/ru|Построитель]]
|[[Part_Builder/ru|Построитель]]
|[[Part_Workbench/ru|Верстак Part]]
|[[Part_Moduleru|Part(Деталь)]]
|IconL=Part_Line.svg
|IconL=Part_Line.svg
|IconR=Part_Builder.svg
|IconR=Part_Builder.svg
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part RegularPolygon
|Name=Part_RegularPolygon
|Name/ru=Правильный Многоугольник
|Name/ru=Правильный Многоугольник
|MenuLocation=Деталь → [[Part_CreatePrimitives|Создать примитивы...]] → Правильный Многоугольник
|MenuLocation=Деталь → [[Part_CreatePrimitives|Создать примитивы...]] → Правильный Многоугольник
|Workbenches=[[Part Module/ru|Part(Деталь)]], [[OpenSCAD_Module/ru|OpenSCAD]]
|Workbenches=[[Part_Workbench/ru|Верстак Part]]
|Version=0.14
|Version=0.14
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
|SeeAlso=[[Part_Primitives/ru|Примитивы]]
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
Creates a RegularPolygon geometric primitive.
Создаёт примитив в форме Правильного Многоугольника
</div>


[[Image:Part_RegularPolygon_Example.png|400px]]
==Usage==


<span id="Usage"></span>
The RegularPolygon is available from the Create Primitives dialogue in the Part workbench.
==Применение==
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Module|Part Workbench]]
# The RegularPolygon command can be accessed several ways:
#* The Create Primitives dialogue via the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Primitives]] icon located in the Part toolbar
#* Using the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Regular Polygon}}


See [[Part_Primitives#Usage|Part Primitives]].
== Parameters ==


== Example ==
*Polygon - the number of sides of the polygon which describes the cross section of the Part Prism
*Circumradius - the circumradius is the distance from the centre of the polygon to a vertex.


[[Image:Part_RegularPolygon_Scripting_Example.png|thumb|Part RegularPolygon from the scripting example]]


A Part RegularPolygon object created with the [[#Scripting|scripting example]] below is shown here.
{{Docnav

|[[Part_Line|Line]]
== Properties ==
|[[Part_Builder|Builder]]

|[[Part_Module|Part]]
See also: [[Property_editor|Property editor]].

A Part RegularPolygon object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Regular Polygon}}

* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part RegularPolygon can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
}}

* Where {{Incode|"myPolygon"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Line/ru|Линия]]
|[[Part_Builder/ru|Построитель]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Line.svg
|IconL=Part_Line.svg
|IconR=Part_Builder.svg
|IconR=Part_Builder.svg
Line 47: Line 96:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 12:17, 26 June 2023

Правильный Многоугольник

Системное название
Part_RegularPolygon
Расположение в меню
Деталь → Создать примитивы... → Правильный Многоугольник
Верстаки
Верстак Part
Быстрые клавиши
Нет
Представлено в версии
0.14
См. также
Примитивы

Описание

Создаёт примитив в форме Правильного Многоугольника

Применение

See Part Primitives.

Example

Part RegularPolygon from the scripting example

A Part RegularPolygon object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part RegularPolygon object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Regular Polygon

  • ДанныеPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • ДанныеCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part RegularPolygon can be created with the addObject() method of the document:

poly = FreeCAD.ActiveDocument.addObject("Part::RegularPolygon", "myPolygon")
  • Where "myPolygon" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

poly = doc.addObject("Part::RegularPolygon", "myPolygon")
poly.Polygon = 5
poly.Circumradius = 8
poly.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 30, 15))

doc.recompute()